=== modified file 'libdrizzle/column.c'
--- libdrizzle/column.c	2010-12-12 11:52:00 +0000
+++ libdrizzle/column.c	2010-12-23 18:47:57 +0000
@@ -364,11 +364,47 @@
       return NULL;
     }
 
-    memset(column, 0, sizeof(drizzle_column_st));
-    column->options|= DRIZZLE_COLUMN_ALLOCATED;
+    column->result = result;
+    /* SET BELOW: column->next */
+    column->prev = NULL;
+    column->options= DRIZZLE_COLUMN_ALLOCATED;
+    column->catalog[0] = '\0';
+    column->db[0] = '\0';
+    column->table[0] = '\0';
+    column->orig_table[0] = '\0';
+    column->name[0] = '\0';
+    column->orig_name[0] = '\0';
+    column->charset = 0;
+    column->size = 0;
+    column->max_size = 0;
+    column->type = 0;
+    column->flags = 0;
+    column->decimals = 0;
+    /* UNSET: column->default_value */
+    column->default_value_size = 0;
+
   }
   else
-    memset(column, 0, sizeof(drizzle_column_st));
+  {
+    column->result = result;
+    /* SET BELOW: column->next */
+    column->prev = NULL;
+    column->options= 0;
+    column->catalog[0] = '\0';
+    column->db[0] = '\0';
+    column->table[0] = '\0';
+    column->orig_table[0] = '\0';
+    column->name[0] = '\0';
+    column->orig_name[0] = '\0';
+    column->charset = 0;
+    column->size = 0;
+    column->max_size = 0;
+    column->type = 0;
+    column->flags = 0;
+    column->decimals = 0;
+    /* UNSET: column->default_value */
+    column->default_value_size = 0;
+  }
 
   column->result= result;
 

=== modified file 'tests/valgrind.supp'
--- tests/valgrind.supp	2010-10-20 03:11:35 +0000
+++ tests/valgrind.supp	2010-12-22 03:15:22 +0000
@@ -298,19 +298,49 @@
 }
 {
    azwrite_row issue in libazio
-   Memcheck:Value8
-   fun:memcpy
-   ...
-   fun:deflate
-   fun:azwrite_row
-   ...
-}
-{
-   azwrite_row issue in libazio
-   Memcheck:Value4
-   fun:memcpy
-   ...
-   fun:deflate
+   Memcheck:Cond
+   fun:memcpy
+   ...
+   fun:deflate
+   fun:azwrite
+   fun:azwrite_row
+   ...
+}
+{
+   azwrite_row issue in libazio
+   Memcheck:Value8
+   fun:memcpy
+   ...
+   fun:deflate
+   fun:azwrite_row
+   ...
+}
+{
+   azwrite_row issue in libazio
+   Memcheck:Value4
+   fun:memcpy
+   ...
+   fun:deflate
+   fun:azwrite_row
+   ...
+}
+{
+   azwrite_row issue in libazio
+   Memcheck:Value8
+   fun:memcpy
+   ...
+   fun:deflate
+   fun:azwrite
+   fun:azwrite_row
+   ...
+}
+{
+   azwrite_row issue in libazio
+   Memcheck:Value4
+   fun:memcpy
+   ...
+   fun:deflate
+   fun:azwrite
    fun:azwrite_row
    ...
 }
@@ -399,6 +429,24 @@
    fun:_ZN8drizzled8filesortEPNS_7SessionEPNS_5TableEPNS_13st_sort_fieldEjPNS_9optimizer9SqlSelectEybPy
    ...
 }
+{
+   Bug 582495 - Syscall param write(buf) points to uninitialised byte(s)
+   Memcheck:Param
+   ...
+   fun:_ZN8drizzled8internal8my_writeEiPKhmi
+   ...
+   fun:_ZN8drizzled8filesortEPNS_7SessionEPNS_5TableEPNS_13st_sort_fieldEjPNS_9optimizer9SqlSelectEmbPm
+   ...
+}
+{
+   Bug 582495 - Syscall param write(buf) points to uninitialised byte(s)
+   Memcheck:Param
+   ...
+   fun:_ZN8drizzled8internal8my_writeEiPKhmi
+   ...
+   fun:_ZN8drizzled8filesortEPNS_7SessionEPNS_5TableEPNS_13st_sort_fieldEjPNS_9optimizer9SqlSelectEybPy
+   ...
+}
 
 # https://bugs.launchpad.net/drizzle/+bug/582498
 {

